
import java.io.*;
import javax.swing.*;

public class OpenSession extends NewSession
{
	void processHint(String str)
	{
		try {
			if (str.startsWith("rank"))
				parseRankHint(str);
			else
			if (str.startsWith("files"))
				State.numOfFiles = parsePairStrInt(str);
			else
			if (str.startsWith("tracks"))
				State.numOfTracks = parsePairStrInt(str);
		}
		catch (IOException e) {
		}
	}

	public void run()
	{
		run("openSession", "titleOpenSession", "openSession");
		super.run();
	}
}
